Bug 398095 - Moving a Paint layer which is sitting above a Vector layer to the top, causes the switching to the "Select Shapes Tool"
Summary: Moving a Paint layer which is sitting above a Vector layer to the top, causes...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: git master (please specify the git hash!)
Platform: Appimage Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-31 10:33 UTC by mvowada
Modified: 2018-09-07 14:25 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Video (468.86 KB, video/mp4)
2018-08-31 10:33 UTC, mvowada
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mvowada 2018-08-31 10:33:53 UTC
Created attachment 114716 [details]
Video

(4.2.0-pre-alpha (git 0ebf6d9) - Ubuntu 14.04, Unity)

Steps (see video):

    1. press "B" (Freehand Brush Tool)
    2. create: Vector + Paint + Paint layers
    3. move the Paint layer right above the Vector to the top

Actual Results: the current tool switches to the "Select Shapes Tool"
Comment 1 Dmitry Kazakov 2018-08-31 13:45:51 UTC
Git commit 44560a8c74cd343ef163066c229fc2835e7cef4f by Dmitry Kazakov.
Committed on 31/08/2018 at 13:45.
Pushed by dkazakov into branch 'master'.

Fix resetting active tool when moving layers above vector layers

Perhaps we should make this system a bit more robust... Right now
a few active node switches happen when one moves a layer. If the
user had some tool activated, it may be reset in the meantime,
which is not very desirable.

M  +4    -4    libs/ui/kis_node_manager.cpp

https://commits.kde.org/krita/44560a8c74cd343ef163066c229fc2835e7cef4f
Comment 2 Halla Rempt 2018-09-07 14:25:32 UTC
Git commit 4f749d034cd33648d8d887978a762c02a72228d7 by Boudewijn Rempt, on behalf of Dmitry Kazakov.
Committed on 07/09/2018 at 12:51.
Pushed by rempt into branch 'krita/4.1'.

Fix resetting active tool when moving layers above vector layers

Perhaps we should make this system a bit more robust... Right now
a few active node switches happen when one moves a layer. If the
user had some tool activated, it may be reset in the meantime,
which is not very desirable.

M  +4    -4    libs/ui/kis_node_manager.cpp

https://commits.kde.org/krita/4f749d034cd33648d8d887978a762c02a72228d7